var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { RemoteLoader } from './models/remote-loader';
/**
 *
 * This class loads a script from an url, parses it and fill an ajv instance with theirs definitions
 * @export
 * @class ValidatorDefinitionsLoader
 */
var ValidatorDefinitionsLoader = (function () {
    /**
     * Creates an instance of ValidatorDefinitionsLoader.
     *
     * @param {RemoteLoader} remoteLoader
     *
     * @memberOf ValidatorDefinitionsLoader
     */
    function ValidatorDefinitionsLoader(remoteLoader) {
        this.remoteLoader = remoteLoader;
    }
    Object.defineProperty(ValidatorDefinitionsLoader.prototype, "validatorExecutionContext", {
        /**
         *
         *
         * @readonly
         * @type {ValidatorExecutionContext}
         * @memberOf ValidatorDefinitionsLoader
         */
        get: function () {
            return this._window;
        },
        enumerable: true,
        configurable: true
    });
    /**
     *
     *
     * @param {Window} window
     * @param {string} url
     * @returns {Promise<ajvNsAndConstructor.Ajv>}
     *
     * @memberOf ValidatorDefinitionsLoader
     */
    ValidatorDefinitionsLoader.prototype.load = function (window, url) {
        var _this = this;
        return this.remoteLoader.getScript(url).then(function (scriptContent) {
            return _this.loadScript(window, scriptContent);
        });
    };
    ValidatorDefinitionsLoader.prototype.loadScript = function (window, script) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                // handler to check any error on script evalution
                window['DoubleAgentValidatorErrorHandler'] = function (e) {
                    reject(e);
                };
                window.document.write("\n          <script>\n            try {\n              " + script + "\n            } catch(e) {\n              DoubleAgentValidatorErrorHandler(e);\n            }\n          </script>\n        ");
                _this._window = window;
                resolve(null);
            }
            catch (e) {
                reject(e);
            }
        });
    };
    return ValidatorDefinitionsLoader;
}());
ValidatorDefinitionsLoader = __decorate([
    Injectable(),
    __metadata("design:paramtypes", [RemoteLoader])
], ValidatorDefinitionsLoader);
export { ValidatorDefinitionsLoader };
//# sourceMappingURL=definitions-loader.service.js.map