var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Directive, Renderer, ElementRef } from '@angular/core';
import { FormControlName } from '@angular/forms';
/**
 * The FormControls created with the DoubleAgentValidatorFormBuilder
 * will have properties defined in the keyworkd maxLength or ui.maxLength
 * or minLength or ui.minLength reflected to the input field associated to the formControlName
 *
 * @export
 * @class InputHtml5AttributesDirective
 */
var InputHtml5AttributesDirective = (function () {
    function InputHtml5AttributesDirective(renderer, formControlName, elementRef) {
        this.renderer = renderer;
        this.formControlName = formControlName;
        this.elementRef = elementRef;
    }
    InputHtml5AttributesDirective.prototype.findInputElement = function () {
        if (this.elementRef.nativeElement.nodeName === 'INPUT') {
            return this.elementRef.nativeElement;
        }
        else {
            var rootElement = this.elementRef.nativeElement;
            var elementChildren = Array.from(rootElement.children);
            for (var _i = 0, elementChildren_1 = elementChildren; _i < elementChildren_1.length; _i++) {
                var el = elementChildren_1[_i];
                if (el.nodeName === 'INPUT') {
                    return el;
                }
            }
            return null;
        }
    };
    InputHtml5AttributesDirective.prototype.ngOnInit = function () {
        this.controlJsonProperty = this.formControlName.control.jsonSchemaProperty;
        if (!this.controlJsonProperty) {
            return;
        } // return if does not have jsonSchemaProperty defined
        var element = this.findInputElement();
        if (!element) {
            return;
        } // return if the element is not a input
        if (this.controlJsonProperty.maxLength) {
            this.renderer.setElementAttribute(element, 'maxlength', this.controlJsonProperty.maxLength.toString());
        }
        if (this.controlJsonProperty['ui'] && this.controlJsonProperty['ui']['maxLength']) {
            this.renderer.setElementAttribute(element, 'maxlength', this.controlJsonProperty['ui']['maxLength']);
        }
        if (this.controlJsonProperty.minLength) {
            this.renderer.setElementAttribute(element, 'minlength', this.controlJsonProperty.minLength.toString());
        }
        if (this.controlJsonProperty['ui'] && this.controlJsonProperty['ui']['minLength']) {
            this.renderer.setElementAttribute(element, 'minlength', this.controlJsonProperty['ui']['minLength']);
        }
    };
    return InputHtml5AttributesDirective;
}());
InputHtml5AttributesDirective = __decorate([
    Directive({
        selector: '[formControlName]'
    }),
    __metadata("design:paramtypes", [Renderer,
        FormControlName,
        ElementRef])
], InputHtml5AttributesDirective);
export { InputHtml5AttributesDirective };
//# sourceMappingURL=input-html5-attributes.directive.js.map