import { Injector, Renderer, AfterViewInit } from '@angular/core';
import { FormControlName } from '@angular/forms';
import { DoubleAgentFormControl } from '../form/form-control';
import { DoubleAgentValidator } from '../validator.service';
/**
 * Applies a mask to user input following the configuration
 * passed-in the json-schema which originated the formControlName (if it is the case)
 *
 * @export
 * @class InputMaskDirective
 * @implements {OnInit}
 */
export declare class InputMaskDirective implements AfterViewInit {
    private injector;
    private renderer;
    formControl: DoubleAgentFormControl;
    origiMaxLength: number;
    constructor(injector: Injector, renderer: Renderer);
    ngAfterViewInit(): void;
    formControlName(): FormControlName;
    doubleAgent(): DoubleAgentValidator;
    getUiMask(input?: HTMLInputElement): any;
    onInput(input: HTMLInputElement): void;
    writeValue(value: string): void;
}
