import { DebugElement } from '@angular/core';
import { ComponentFixture } from '@angular/core/testing';
import { InputMaskDirective } from './input-mask.directive';
export interface InputOptions {
    fieldName: string;
    maskFormat?: string;
    element?: DebugElement;
}
export interface InputTriggerOptions extends InputOptions {
    value: string;
}
export declare function getFormElement(fixture: ComponentFixture<any>, controlName: string): DebugElement;
export declare function getMockForMask(fixture: ComponentFixture<any>, options: InputOptions): {
    maskDirective: InputMaskDirective;
    element: DebugElement;
    input: HTMLInputElement;
    triggerInput: (inputValue: string, maskFormat?: string) => void;
};
export declare function triggerInput(fixture: ComponentFixture<any>, options: InputTriggerOptions): {
    maskDirective: InputMaskDirective;
    element: DebugElement;
    input: HTMLInputElement;
    triggerInput: (inputValue: string, maskFormat?: string) => void;
};
