export function findInArray(array, predicate) {
    if (array == null) {
        throw new TypeError('findInArray called on null or undefined');
    }
    if (typeof predicate !== 'function') {
        throw new TypeError('predicate must be a function');
    }
    var list = Object(array);
    var length = list.length || 0;
    var thisArg = arguments[2];
    var value;
    for (var i = 0; i < length; i++) {
        value = list[i];
        if (predicate.call(thisArg, value, i, list)) {
            return value;
        }
    }
    return undefined;
}
;
//# sourceMappingURL=helpers.js.map