var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
import { Injectable, Inject } from '@angular/core';
import { DoubleAgentValidator } from '../validator.service';
import { DoubleAgentValidatorNg2Factory } from '../ng2-factory.service';
import { DOUBLE_AGENT_VALIDATOR_SCHEMA_URL } from '../validator.module';
/**
 * To be used in tests for Angular applications
 * We can rely on mechanisms like webpack raw-loader to read the script from the disk and pass it directly
 * through the OpaqueToken DOUBLE_AGENT_VALIDATOR_SCHEMA_URL. This way we can run tests without the need of an http request
 * @export
 * @class InTestRawLoader
 * @implements {RemoteLoader}
* */
var InTestRawLoader = (function () {
    function InTestRawLoader(doubleAgentScriptContent, doubleAgentValidator) {
        var daFactory = new DoubleAgentValidatorNg2Factory(doubleAgentValidator, this);
        daFactory.load(doubleAgentScriptContent).then(function () { });
    }
    InTestRawLoader.prototype.getScript = function (doubleAgentRawContent) {
        return new Promise(function (resolve, reject) {
            resolve(doubleAgentRawContent);
        });
    };
    return InTestRawLoader;
}());
InTestRawLoader = __decorate([
    Injectable(),
    __param(0, Inject(DOUBLE_AGENT_VALIDATOR_SCHEMA_URL)),
    __metadata("design:paramtypes", [String, DoubleAgentValidator])
], InTestRawLoader);
export { InTestRawLoader };
//# sourceMappingURL=in-test-raw-loader.js.map