/**
 *
 * This class allow get the script source on node environment
 */
var NodeRemoteLoader = (function () {
    function NodeRemoteLoader() {
        require.ensure([], function (requireRuntime) {
            this._restler = requireRuntime('restler');
        });
    }
    Object.defineProperty(NodeRemoteLoader.prototype, "restler", {
        get: function () {
            return this._restler;
        },
        enumerable: true,
        configurable: true
    });
    NodeRemoteLoader.prototype.getScript = function (url) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.restler.get(url).on('complete', function (data, response) {
                if (data instanceof Error) {
                    reject(data.message);
                }
                else {
                    resolve(data);
                }
            });
        });
    };
    return NodeRemoteLoader;
}());
export { NodeRemoteLoader };
//# sourceMappingURL=node-remote-loader.js.map