import { Ajv } from 'ajv';
import { Validator } from './models/validator';
import { ValidationResult } from './models/validation-result';
import { JsonSchema } from './models/schema/json-schema';
import { DoubleAgentValidatorConfig } from './models/validator-config';
export declare class DoubleAgentValidatorV2 implements Validator {
    private config;
    constructor(config: DoubleAgentValidatorConfig);
    readonly ajv: Ajv;
    readonly schemasNames: string[];
    validate(schemaName: string, data: any): ValidationResult | Promise<any>;
    getSchema(schemaName: string): JsonSchema;
    getKeywords(schema: JsonSchema): string[];
    getFormats(): {};
    getFormat(format: string): {};
}
