var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { DoubleAgentValidatorConfig } from './models/validator-config';
var DoubleAgentValidatorV2 = (function () {
    function DoubleAgentValidatorV2(config) {
        this.config = config;
    }
    Object.defineProperty(DoubleAgentValidatorV2.prototype, "ajv", {
        get: function () {
            if (!this.config || (this.config && !this.config.ajv)) {
                throw new Error('Ajv instance is missing in DoubleAgentValidatorV2');
            }
            return this.config.ajv;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DoubleAgentValidatorV2.prototype, "schemasNames", {
        get: function () {
            return [];
        },
        enumerable: true,
        configurable: true
    });
    DoubleAgentValidatorV2.prototype.validate = function (schemaName, data) {
        var errors;
        if (this.config && this.config.validationFn) {
            errors = this.config.validationFn(schemaName, data);
            if (errors && typeof (errors.hasErrors) !== 'undefined') {
                return errors;
            }
            ;
        }
        else {
            this.ajv.validate(schemaName, data);
            errors = this.ajv.errors;
        }
        if (errors && errors.then) {
            return errors;
        }
        else {
            return {
                hasErrors: !!errors,
                errors: errors
            };
        }
    };
    DoubleAgentValidatorV2.prototype.getSchema = function (schemaName) {
        return this.ajv['_schemas'][schemaName].schema;
    };
    DoubleAgentValidatorV2.prototype.getKeywords = function (schema) {
        return this.ajv['RULES'].all;
    };
    DoubleAgentValidatorV2.prototype.getFormats = function () {
        return this.ajv['_formats'];
    };
    DoubleAgentValidatorV2.prototype.getFormat = function (format) {
        return this.ajv['_formats'][format];
    };
    return DoubleAgentValidatorV2;
}());
DoubleAgentValidatorV2 = __decorate([
    Injectable(),
    __metadata("design:paramtypes", [DoubleAgentValidatorConfig])
], DoubleAgentValidatorV2);
export { DoubleAgentValidatorV2 };
//# sourceMappingURL=validator-v2.service.js.map