import { Injector, ModuleWithProviders, OpaqueToken } from '@angular/core';
import { DoubleAgentValidator } from './validator.service';
import { DoubleAgentValidatorNg2Factory } from './ng2-factory.service';
import { DoubleAgentFormGroupBuilder, DoubleAgentFormControlValidatorBuilder } from './form';
import { RemoteLoader } from './models/remote-loader';
import { Angular2RemoteLoader } from './remote-loaders/angular2-remote-loader';
import { DoubleAgentValueVerifier } from './value-verifier.service';
export declare const DOUBLE_AGENT_VALIDATOR_SCHEMA_URL: OpaqueToken;
export declare const DOUBLE_AGENT_VALIDATOR_SCHEMA_WITH_DEPENDENCIES: OpaqueToken;
export declare function FactoryBuilder(): Promise<void>;
export declare function DoubleAgentValidatorInitializerFactory(injectorP: Injector, doubleAgentFactoryP: DoubleAgentValidatorNg2Factory, urlP: string): typeof FactoryBuilder;
export declare const DoubleAgentValidatorProviders: (typeof DoubleAgentValidator | typeof DoubleAgentFormControlValidatorBuilder | typeof DoubleAgentValidatorNg2Factory | typeof DoubleAgentFormGroupBuilder | typeof DoubleAgentValueVerifier | {
    provide: typeof RemoteLoader;
    useClass: typeof Angular2RemoteLoader;
} | {
    provide: any;
    useFactory: (injectorP: Injector, doubleAgentFactoryP: DoubleAgentValidatorNg2Factory, urlP: string) => () => Promise<void>;
    deps: (OpaqueToken | typeof Injector | typeof DoubleAgentValidatorNg2Factory)[];
    multi: boolean;
})[];
export declare class DoubleAgentValidatorModule {
    static forRoot(): ModuleWithProviders;
}
