var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Injector, OpaqueToken, NgModule, APP_INITIALIZER } from '@angular/core';
import { DoubleAgentValidator } from './validator.service';
import { DoubleAgentValidatorNg2Factory } from './ng2-factory.service';
import { DoubleAgentFormGroupBuilder, DoubleAgentFormControlValidatorBuilder } from './form';
import { RemoteLoader } from './models/remote-loader';
import { Angular2RemoteLoader } from './remote-loaders/angular2-remote-loader';
import { DoubleAgentValueVerifier } from './value-verifier.service';
import { DoubleAgentValidatorDirectivesModule } from './directives.module';
export var DOUBLE_AGENT_VALIDATOR_SCHEMA_URL = new OpaqueToken('DoubleAgentValidator.SCHEMA_URL');
export var DOUBLE_AGENT_VALIDATOR_SCHEMA_WITH_DEPENDENCIES = new OpaqueToken('DoubleAgentValidator.SCHEMA_WITH_DEPENDENCIES');
var injector, doubleAgentFactory, urlSchema;
export function FactoryBuilder() {
    return DoubleAgentValidatorNg2Factory.factoryFn(injector, doubleAgentFactory, urlSchema);
}
export function DoubleAgentValidatorInitializerFactory(injectorP, doubleAgentFactoryP, urlP) {
    var factoryBuilder = FactoryBuilder;
    injector = injectorP;
    doubleAgentFactory = doubleAgentFactoryP;
    urlSchema = urlP;
    return factoryBuilder;
}
export var DoubleAgentValidatorProviders = [
    DoubleAgentValidator,
    DoubleAgentValidatorNg2Factory,
    DoubleAgentFormGroupBuilder,
    DoubleAgentValueVerifier,
    DoubleAgentFormControlValidatorBuilder,
    {
        provide: RemoteLoader,
        useClass: Angular2RemoteLoader
    },
    {
        provide: APP_INITIALIZER,
        useFactory: DoubleAgentValidatorInitializerFactory,
        deps: [
            Injector,
            DoubleAgentValidatorNg2Factory,
            DOUBLE_AGENT_VALIDATOR_SCHEMA_URL
        ],
        multi: true
    }
];
var DoubleAgentValidatorModule = DoubleAgentValidatorModule_1 = (function () {
    function DoubleAgentValidatorModule() {
    }
    DoubleAgentValidatorModule.forRoot = function () {
        return {
            ngModule: DoubleAgentValidatorModule_1,
            providers: DoubleAgentValidatorProviders
        };
    };
    return DoubleAgentValidatorModule;
}());
DoubleAgentValidatorModule = DoubleAgentValidatorModule_1 = __decorate([
    NgModule({
        providers: [
            DoubleAgentValidatorProviders
        ],
        imports: [
            DoubleAgentValidatorDirectivesModule
        ]
    })
], DoubleAgentValidatorModule);
export { DoubleAgentValidatorModule };
var DoubleAgentValidatorModule_1;
//# sourceMappingURL=validator.module.js.map