import { ValidationResult } from './models';
import * as ajvNsAndConstructor from 'ajv';
import { JsonSchema } from './models/schema/json-schema';
import { ReplaySubject } from 'rxjs/ReplaySubject';
import { Validator } from './models/validator';
/**
 *
 *
 * @export
 * @class DoubleAgentValidator
 */
export declare class DoubleAgentValidator implements Validator {
    private scriptContext;
    /**
     *
     *
     * @private
     * @type {ValidationResult}
     * @memberOf DoubleAgentValidator
     */
    isReady: ReplaySubject<void>;
    /**
     * Creates an instance of DoubleAgentValidator.
     *
     *
     * @memberOf DoubleAgentValidator
     */
    constructor();
    /**
     *
     *
     * @readonly
     * @type {ajvNsAndConstructor.Ajv}
     * @memberOf DoubleAgentValidator
     */
    readonly ajv: ajvNsAndConstructor.Ajv;
    /**
     *
     *
     * @param {string} schemaName
     * @param {*} data
     * @returns {ValidationResult}
     *
     * @memberOf DoubleAgentValidator
     */
    validate(schemaName: string, data: any, options?: {
        removeEmptyStrings: boolean;
        parseResultFn?: Function;
    }): ValidationResult;
    getSchema(schemaName: string): JsonSchema;
    /**
     *
     *
     * @param {JsonSchema} schema
     * @returns {string[]}
     *
     * @memberOf DoubleAgentValidator
     */
    getKeywords(schema: JsonSchema): string[];
    getFormats(): {};
    getFormat(format: string): {};
    /**
    *
    *
    * @readonly
    * @type {string[]}
    * @memberOf DoubleAgentValidator
    */
    readonly schemasNames: string[];
}
