var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { ReplaySubject } from 'rxjs/ReplaySubject';
/**
 *
 *
 * @export
 * @class DoubleAgentValidator
 */
var DoubleAgentValidator = (function () {
    /**
     * Creates an instance of DoubleAgentValidator.
     *
     *
     * @memberOf DoubleAgentValidator
     */
    function DoubleAgentValidator() {
        /**
         *
         *
         * @private
         * @type {ValidationResult}
         * @memberOf DoubleAgentValidator
         */
        this.isReady = new ReplaySubject(1);
    }
    Object.defineProperty(DoubleAgentValidator.prototype, "ajv", {
        /**
         *
         *
         * @readonly
         * @type {ajvNsAndConstructor.Ajv}
         * @memberOf DoubleAgentValidator
         */
        get: function () {
            return this.scriptContext['ajv'];
        },
        enumerable: true,
        configurable: true
    });
    /**
     *
     *
     * @param {string} schemaName
     * @param {*} data
     * @returns {ValidationResult}
     *
     * @memberOf DoubleAgentValidator
     */
    DoubleAgentValidator.prototype.validate = function (schemaName, data, options) {
        if (options === void 0) { options = { removeEmptyStrings: true }; }
        var result = this.scriptContext['DoubleAgent']['JsonSchemaValidator'].validate(schemaName, data, options);
        return result;
    };
    DoubleAgentValidator.prototype.getSchema = function (schemaName) {
        return this.scriptContext['DoubleAgent']['JsonSchemaValidator'].getSchemaObject(schemaName);
    };
    /**
     *
     *
     * @param {JsonSchema} schema
     * @returns {string[]}
     *
     * @memberOf DoubleAgentValidator
     */
    DoubleAgentValidator.prototype.getKeywords = function (schema) {
        return this.scriptContext['DoubleAgent']['JsonSchemaValidator'].getKeywords(schema);
    };
    DoubleAgentValidator.prototype.getFormats = function () {
        return this.scriptContext['DoubleAgent']['JsonSchemaValidator'].getFormats();
    };
    DoubleAgentValidator.prototype.getFormat = function (format) {
        return this.scriptContext['DoubleAgent']['JsonSchemaValidator'].getFormat(format);
    };
    Object.defineProperty(DoubleAgentValidator.prototype, "schemasNames", {
        /**
        *
        *
        * @readonly
        * @type {string[]}
        * @memberOf DoubleAgentValidator
        */
        get: function () {
            return this.scriptContext['DoubleAgent']['JsonSchemaValidator'].getSchemas();
        },
        enumerable: true,
        configurable: true
    });
    return DoubleAgentValidator;
}());
DoubleAgentValidator = __decorate([
    Injectable(),
    __metadata("design:paramtypes", [])
], DoubleAgentValidator);
export { DoubleAgentValidator };
//# sourceMappingURL=validator.service.js.map